# API接口自动化测试python框架

### 生成pytest测试报告

```
pytest ‐vv test_case ‐‐html=./report/html/pytest/test_1/test_report_1.html ‐‐self‐contained‐html ‐‐reruns 5 ‐‐reruns‐delay 0.1
```

### allure生成测试报告

1. 使用pytest执行用例，生成执行结果的json文件

   ```
   pytest 用例模块/用例包 ‐‐alluredir=存放json文件的目录 ‐‐clean‐alluredir
   ```

2. 根据第一步测试结果的json文件生成报告。

   ```
   i: 本地生成测试报告服务
   	allure serve 第一步存放测试结果json文件的目录
   ii: 生成静态的报告
   	allure generate 第一步存放测试结果json文件的目录 ‐o 静态报告存放的目录
   ```

#### 例子

```
1、pytest test_case ‐‐alluredir=./report/test_json/allure_1 ‐‐clean‐alluredir
2(1)、allure serve ./report/test_json/allure_1
2(2)、allure generate ./report/test_json/allure_1 -o ./report/html/allure/allure_1
```

